### Signal

# Ide Buffer::change-settled

#### Declaration

    void
    change_settled (
      IdeBuffer* self,
      gpointer user_data
    )

#### Description

The “change-settled” signal is emitted when the buffer has stopped being edited for a short period of time. This is useful to connect to when you want to perform work as the user is editing, but you don’t want to get in the way of their editing.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32